Subject: Re: build a GMPlib win32 dll with Cygwin
From: Tatsuro MATSUOKA <[email-masked]>
To: #Cyrille37# <[email-masked]>, [email-masked]
Cc: Sisyphus <[email-masked]>, me <[email-masked]>
Date: Wed, 26 Mar 2008 23:50:07 +0900 (JST)
List-Id: <cygwin.cygwin.com>

Hello

I have built a static libraries gmp4.2.2 on msys+ mingw.
You can build a dll file by using the g++ like  

g++ -shared -Wl,--export-all-symbols -Wl,--enable-auto-import -Wl,--enable-auto-image-base
-Wl,--out-implib=libhdf5.dll.a -o cyghdf5.dll \
 H5.o H5A.o H5AC.o H5B.o H5C.o H5D.o H5Dcontig.o H5Dcompact.o H5Defl.o H5Dio.o H5Distore.o H5Dmpio.o
H5Dselect.o H5Dtest.o H5E.o H5F.o H5Fdbg.o H5Fmount.o H5Fsfile.o H5Fsuper.o H5FD.o H5FDcore.o
H5FDfamily.o H5FDgass.o H5FDlog.o H5FDmpi.o H5FDmpio.o H5FDmpiposix.o H5FDmulti.o H5FDsec2.o H5FDsrb.o
H5FDstdio.o H5FDstream.o H5FL.o H5FO.o H5FS.o H5G.o H5Gent.o H5Gnode.o H5Gstab.o H5HG.o H5HGdbg.o
H5HL.o H5HLdbg.o H5HP.o H5I.o H5MF.o H5MM.o H5O.o H5Oattr.o H5Obogus.o H5Ocont.o H5Odtype.o H5Oefl.o
H5Ofill.o H5Olayout.o H5Omtime.o H5Oname.o H5Onull.o H5Opline.o H5Osdspace.o H5Oshared.o H5Ostab.o
H5P.o H5Pdcpl.o H5Pdxpl.o H5Pfapl.o H5Pfcpl.o H5Ptest.o H5R.o H5RC.o H5RS.o H5S.o H5Sall.o H5Shyper.o
H5Smpio.o H5Snone.o H5Spoint.o H5Sselect.o H5Stest.o H5SL.o H5ST.o H5T.o H5Tarray.o H5Tbit.o
H5Tcommit.o H5Tcompound.o H5Tconv.o H5Tcset.o H5Tenum.o H5Tfields.o H5Tfixed.o H5Tfloat.o H5Tinit.o
H5Tnative.o H5Toffset.o H5Topaque.o H5Torder.o H5Tpad.o H5Tprecis.o H5Tstrpad.o H5Tvlen.o H5TS.o H5V.o
H5Z.o H5Zdeflate.o H5Zfletcher32.o H5Zshuffle.o H5Zszip.o -L/usr/tatsu/cygwin/hdf5-1.6.5/src/.libs
-lhdf5 -lz -lm 

This is an example when I have build dll library for hdf5 for the cygwin.
In the mingw+msys, almost the same syntax can be used for making the dll librairies.

Regards

Tatsuro

--- #Cyrille37# <[email-masked]> wrote:

> Sisyphus a 将アcrit :
> >
> > ----- Original Message ----- From: "cyrille37" <[email-masked]>
> > To: <[email-masked]>
> > Sent: Wednesday, March 26, 2008 10:36 PM
> > Subject: build a GMPlib win32 dll with Cygwin
> >
> >
> >>
> >> Hello,
> >>
> >> I need to use GMPlib (gmplib.org) on windows xp.
> >> After compiling GMP with cygwin, for runtime, should I need some 
> >> cygwin dll
> >> to use the GMP dll ?
> >> Is there a solution to get only one dll with all in one ?
> >
> > If I understand correctly, you could get what you want by either:
> > 1) Building the GMP dll in the MSYS shell;
> > or
> > 2) Building in Cygwin's shell, but as a cross-compilation for the 
> > i686-pc-mingw32 (native win32) host.
> Thanks a lot Rob,
> I think my mistake with Cygwin is that I did not set a host for 
> cross-compilation.
> I'll try again ;-)
> 
> Regards, Cyrille.
> >
> > Either way, you'll end up with a GMP dll that does not need the cygwin 
> > dll.
> >
> > I normally go with option 1).
> >
> > Cheers,
> > Rob
> >
> 
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 

--------------------------------------
Easy + Joy + Powerful = Yahoo! Bookmarks x Toolbar
http://pr.mail.yahoo.co.jp/toolbar/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/